#include <iostream>
#include <cstdlib>
using namespace std;

long mystrtol(const char *start, char **end, int base = 10)
{
	return strtol(start, end, base);
}

int main(){
	char buf[1024];
	char *end;
	cout << "何か数値を入力してください。\n";
	cin >> buf;
	int num = mystrtol(buf,&end);
	cout << "入力された文字は" << buf << "で、\n";
	cout << "入力された数字は" << num << "です。\n";
	
	return 0;
}